| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.DeviceVariable Class Reference

Class that holds information about device variables. More...

Inheritance diagram for LicenseSpring.DeviceVariable:

## Public Member Functions
| DeviceVariable ()
| DeviceVariable default constructor.
| DeviceVariable (string name, string value)
| DeviceVariable constructor.
bool | IsEmpty ()
| Check if variable is considered empty. Returns True if name or value is empty

## Properties
DateTime | DateTimeUpdated`[get]`
| Device variable date time when it was updated on the backend.This value is available after getting device variables data from the backend
DateTime | DateTimeUpdatedUtc`[get]`
| Device variable date time in UTC when it was updated on the backend.This value is available after getting device variables data from the backend
int | Id`[get]`
| Device variable identifier.This value is available after getting device variables data from the backend
string | Name`[get, set]`
| Data field name.
string | Value`[get, set]`
| Data field value.
Properties inherited from LicenseSpring.IDeviceVariable

## Detailed Description

Class that holds information about device variables.

See `ILicense.DeviceVariables`

## Constructor & Destructor Documentation

## ◆ DeviceVariable()

LicenseSpring.DeviceVariable.DeviceVariable | ( | string | name,
|  | string | value
| ) |  |

DeviceVariable constructor.

Parameters

  name | Device variable name
  value | Device variable value

## Member Function Documentation

## ◆ IsEmpty()

bool LicenseSpring.DeviceVariable.IsEmpty | ( |  | ) |

Check if variable is considered empty.

Returns
  True if name or value is empty

Implements LicenseSpring.IDeviceVariable.

## Property Documentation

## ◆ DateTimeUpdated

DateTime LicenseSpring.DeviceVariable.DateTimeUpdated
| get

Device variable date time when it was updated on the backend.This value is available after getting device variables data from the backend

Implements LicenseSpring.IDeviceVariable.

## ◆ DateTimeUpdatedUtc

DateTime LicenseSpring.DeviceVariable.DateTimeUpdatedUtc
| get

Device variable date time in UTC when it was updated on the backend.This value is available after getting device variables data from the backend

Implements LicenseSpring.IDeviceVariable.

## ◆ Id

int LicenseSpring.DeviceVariable.Id
| get

Device variable identifier.This value is available after getting device variables data from the backend

Implements LicenseSpring.IDeviceVariable.

## ◆ Name

string LicenseSpring.DeviceVariable.Name
| get set

Data field name.

Implements LicenseSpring.IDeviceVariable.

## ◆ Value

string LicenseSpring.DeviceVariable.Value
| get set

Data field value.

Implements LicenseSpring.IDeviceVariable.

The documentation for this class was generated from the following file:

- DeviceVariable.cs